JBoss API: Class JmsConnectionFactoryImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.ra
Class JmsConnectionFactoryImpl

    java.lang.Object
      |
      +--org.jboss.jms.ra.JmsConnectionFactoryImpl

All Implemented Interfaces:
  javax.jms.ConnectionFactory, JmsConnectionFactory, javax.jms.QueueConnectionFactory, javax.resource.Referenceable, javax.naming.Referenceable, java.io.Serializable, javax.jms.TopicConnectionFactory

public class JmsConnectionFactoryImpl
extends java.lang.Object
implements JmsConnectionFactory, java.io.Serializable, javax.resource.Referenceable

JmsConnectionFactoryImpl.java Created: Thu Apr 26 17:02:50 2001

Version:
  $Revision: 1.1.4.2 $
Author:
  Peter Antman.
See Also:
  Serialized Form

Constructor Summary
`JmsConnectionFactoryImpl(javax.resource.spi.ManagedConnectionFactory mcf, javax.resource.spi.ConnectionManager cm)`

Method Summary
`javax.jms.QueueConnection` | `createQueueConnection()`
`javax.jms.QueueConnection` | `createQueueConnection(java.lang.String userName, java.lang.String password)`
`javax.jms.TopicConnection` | `createTopicConnection()`
`javax.jms.TopicConnection` | `createTopicConnection(java.lang.String userName, java.lang.String password)`
`javax.naming.Reference` | `getReference()`
`void` | `setReference(javax.naming.Reference reference)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JmsConnectionFactoryImpl

    public JmsConnectionFactoryImpl(javax.resource.spi.ManagedConnectionFactory mcf,
                                    javax.resource.spi.ConnectionManager cm)

Method Detail

### setReference

    public void setReference(javax.naming.Reference reference)

  Specified by:
    `setReference` in interface `javax.resource.Referenceable`

### getReference

    public javax.naming.Reference getReference()

  Specified by:
    `getReference` in interface `javax.naming.Referenceable`

### createQueueConnection

    public javax.jms.QueueConnection createQueueConnection()
                                                    throws javax.jms.JMSException

  Specified by:
    `createQueueConnection` in interface `javax.jms.QueueConnectionFactory`

### createQueueConnection

    public javax.jms.QueueConnection createQueueConnection(java.lang.String userName,
                                                           java.lang.String password)
                                                    throws javax.jms.JMSException

  Specified by:
    `createQueueConnection` in interface `javax.jms.QueueConnectionFactory`

### createTopicConnection

    public javax.jms.TopicConnection createTopicConnection()
                                                    throws javax.jms.JMSException

  Specified by:
    `createTopicConnection` in interface `javax.jms.TopicConnectionFactory`

### createTopicConnection

    public javax.jms.TopicConnection createTopicConnection(java.lang.String userName,
                                                           java.lang.String password)
                                                    throws javax.jms.JMSException

  Specified by:
    `createTopicConnection` in interface `javax.jms.TopicConnectionFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.